API changes between Spread for Windows Forms 4.0 and 5.0 (.NET 3.5 version)

Posted by: agfachen on 8 September 2017, 2:11 pm EST

  • Posted 8 September 2017, 2:11 pm EST

    Hello, is there a document for documenting the API changes between version 4 and 5? It'll be helpful to get a list of new and obsoleted APIs so we can change our code accordingly.


     Thank you!

  • Replied 8 September 2017, 2:11 pm EST

    Hi,

    The readme.chm that is installed in the Docs folder has a list of new features in the "release notes" section, but it does not list the APIs, just the new features.  You would need to refer to the assembly reference for the relevant APIs.  I do not think there is a listing of deprecated APIs anywhere in the help, but we have used the Obsolete attribute on such APIs, so you should get a warning about them being used in your code when you compile your upgraded project.  All deprecated APIs are still supported in v5, so your code should not require any changes to run, but it is recommended that you change your code to use the newer APIs that the warnings refer to (they are usually easier to use and maintain).

  • Replied 8 September 2017, 2:11 pm EST

    There is a page about obsolete methods in the upgrade section of the readme for Spread Win 5.
  • Replied 8 September 2017, 2:11 pm EST

    So there is!  Thank you Gina; I stand corrected.
  • Replied 8 September 2017, 2:11 pm EST

    Got it. Thank you!
Need extra support?

Upgrade your support plan and get personal unlimited phone support with our customer engagement team

Learn More

Forum Channels